Luxor PlatformAPI DocumentationMining PoolReporting
Get uptime
Returns a list of all uptime associated to a Workspace.
Authorization
LuxorAPIKey authorization<token>
Use your API key here.
In: header
Path Parameters
currency_type*string
Which currency to query, e.g. BTC or DOGE.
Value in
- "BTC"
- "LTC_DOGE"
- "SC"
- "ZEC"
- "LTC"
- "DOGE"
Query Parameters
subaccount_names?|array<>|array<>
site_id?|
start_date*string
Format
dateend_date*string
Format
datetick_size*string
The tick size defines granularity; only 1d, 1w, and 1M are supported for uptime.
Value in
- "1d"
- "1w"
- "1M"
page_number?integer
Range
1 <= valueDefault
1page_size?integer
Range
1 <= valueDefault
10Response Body
application/json
application/json
curl -X GET "https://example.com/v2/pool/uptime/BTC?start_date=2025-01-01&end_date=2025-01-31&tick_size=1d"{ "currency_type": "BTC", "start_date": "2025-01-01", "end_date": "2025-01-31", "tick_size": "1d", "subaccounts": [ { "id": 1, "name": "my_subaccount", "site": { "id": "b0a5fad8-0e09-4f10-ac20-ccd80fb2d138", "name": "My Site", "url": "/v2/workspace/sites/b0a5fad8-0e09-4f10-ac20-ccd80fb2d138" }, "created_at": "2019-08-24T14:15:22Z", "url": "/v2/pool/subaccounts/my_subaccount" } ], "uptime": [ { "date_time": "2019-08-24T14:15:22Z", "uptime": 0.00066154 } ], "pagination": { "page_number": 1, "page_size": 1, "item_count": 0, "previous_page_url": null, "next_page_url": null }}{ "statusCode": 400, "code": "FST_ERR_VALIDATION", "error": "Bad Request", "message": "body/end_date Required"}Get summary
Returns a list of all summary associated to a Workspace.
Get workers hashrate history
Returns hashrate, efficiency and estimated revenue time series data for a set of workers and a currency type, given a specified time period. Revenue is provided only for BTC currency, it is an estimate and should not be considered a source of truth for financial settlement.